Bug 15172 - Serial enumchron/sequence not visible when returning/checking in Items
Summary: Serial enumchron/sequence not visible when returning/checking in Items
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Olli-Antti Kivilahti
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-11 11:27 UTC by Olli-Antti Kivilahti
Modified: 2017-12-07 22:16 UTC (History)
11 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15172 - Serial enumchron/sequence not visible when returning/checking in Items (2.12 KB, patch)
2015-11-11 11:28 UTC, Olli-Antti Kivilahti
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 15172 - Serial enumchron/sequence not visible when returning/checking in Items (2.76 KB, patch)
2015-11-12 16:43 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 15172: (follow-up)Serial enumchron/sequence not visible when returning/checking in Items (1.82 KB, patch)
2015-12-02 17:05 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 15172: Serial enumchron/sequence not visible when returning/checking in Items (2.82 KB, patch)
2016-03-29 16:12 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 15172: (follow-up)Serial enumchron/sequence not visible when returning/checking in Items (1.82 KB, patch)
2016-03-29 16:12 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 15172: Serial enumchron/sequence not visible when returning/checking in Items (2.97 KB, patch)
2016-06-29 10:05 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 15172: (follow-up)Serial enumchron/sequence not visible when returning/checking in Items (1.96 KB, patch)
2016-06-29 10:05 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 15172: Serial enumchron/sequence not visible when returning/checking in Items (3.03 KB, patch)
2016-07-04 09:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15172: (follow-up)Serial enumchron/sequence not visible when returning/checking in Items (2.03 KB, patch)
2016-07-04 09:25 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Olli-Antti Kivilahti 2015-11-11 11:27:02 UTC
Displays the items.enumchron-column in returns.pl when checking in Items.
Comment 1 Olli-Antti Kivilahti 2015-11-11 11:28:03 UTC Comment hidden (obsolete)
Comment 2 Olli-Antti Kivilahti 2015-11-11 11:28:32 UTC
Failed QA because of missing tests.
Comment 3 Katrin Fischer 2015-11-11 21:22:33 UTC
Tests for template changes in .pl files are not required?
Comment 4 Héctor Eduardo Castro Avalos 2015-11-12 16:43:58 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2015-12-02 11:50:50 UTC
The br and span tags should only be displayed if the value enumchron exists.
Comment 6 Héctor Eduardo Castro Avalos 2015-12-02 17:05:40 UTC Comment hidden (obsolete)
Comment 7 Laurence Rault 2016-03-24 12:55:27 UTC
Auto-merging circ/returns.pl
CONFLICT (content): Merge conflict in circ/returns.pl
Failed to merge in the changes.
Patch failed at 0001 Bug 15172 - Serial enumchron/sequence not visible when returning/checking in Items
Comment 8 Héctor Eduardo Castro Avalos 2016-03-29 16:12:13 UTC Comment hidden (obsolete)
Comment 9 Héctor Eduardo Castro Avalos 2016-03-29 16:12:27 UTC Comment hidden (obsolete)
Comment 10 Liz Rea 2016-03-31 20:48:40 UTC
Is this duplicate in functionality to 14668?
Comment 11 Héctor Eduardo Castro Avalos 2016-06-24 20:24:13 UTC
(In reply to Liz Rea from comment #10)
> Is this duplicate in functionality to 14668?

This patch still applies.

QA should decide if close this bug as duplicated of bug 14668 or keep it open.

Regards
Comment 12 sandboxes@biblibre.com 2016-06-29 10:05:18 UTC
Patch tested with a sandbox, by Alain et Aurélie <aurelie.berut@enssib.fr>
Comment 13 sandboxes@biblibre.com 2016-06-29 10:05:48 UTC Comment hidden (obsolete)
Comment 14 sandboxes@biblibre.com 2016-06-29 10:05:51 UTC Comment hidden (obsolete)
Comment 15 Koha Team University Lyon 3 2016-06-29 10:13:37 UTC
Tested by Aurélie Bérut and Alain Griot during the french symposium testing party :
It works as described :
- when checkin a serial item, information about the volume,enumchron are displayed in the title column under the title.
- when checkin a book, br and span are not present in the code source page for this element
Comment 16 Jonathan Druart 2016-07-04 09:25:19 UTC
Created attachment 53074 [details] [review]
Bug 15172: Serial enumchron/sequence not visible when returning/checking in Items

Displays the items.enumchron-column in returns.pl when checking in Items.

Rewording commit

To test:
-Checkout a barcode for serial with items generated in
Serials >  New subscription or item in DB with items.enumchron-column
-Checkin the same barcode, the table Checked-in items will appear without
information about "Publications details (Vol. 400, No. 32)"
-Apply patch
-Checkout and checkin another item of the same serial title
-Notice about the Vol. 400, No. 32 below the serial title.

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
items.enumchron-column display successful in returns.pl (Home>Circulation>
Check in)
NOTE: Patch rebased on master

Signed-off-by: Alain et Aurélie <aurelie.berut@enssib.fr>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 17 Jonathan Druart 2016-07-04 09:25:23 UTC
Created attachment 53075 [details] [review]
Bug 15172: (follow-up)Serial enumchron/sequence not visible when returning/checking in Items

Display br and span tag only if the value enumchron exists.

To test
-Apply patches
-Follow the previous test plan
-Checkin whichever material (e.g., book) without sequence or enumchrom
-Open up source code for checkin page, search under title and
verify that b and span tags do not appear

Signed-off-by: Alain et Aurélie <aurelie.berut@enssib.fr>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 18 Kyle M Hall 2016-07-08 14:14:23 UTC
Pushed to master for 16.11, thanks Olli, Hector!
Comment 19 Frédéric Demians 2016-08-01 13:33:39 UTC
Pushed in 16.05. Will be in 16.05.02.